Subject: Re: bug#30243: 26.0.91; Infinite recursion in `make-auto-save-file-name' for quoted filenames

From: Noam Postavsky <[email-masked]>
Date: Thu, 25 Jan 2018 09:07:29 -0500

Michael Albinus <[email-masked]> writes:

>> `file-notify-rm-watch' and `file-notify-valid-p' are still broken, I
>> can't immediately see how to fix them and it's getting past my bedtime.
>
> Maybe I could be of some help? Pls commit your changes you have worked
> on, and tell me which missing part I shall try to follow.

I pushed my patch to the scratch/nonspecial-handlers branch.  If you run

    make -C test files-tests SELECTOR='\"non-special\"'

you will see the relevant tests,
files-file-name-non-special-notify-handlers being the one which
currently fails.  Maybe it's just a matter of binding
file-name-handler-alist to nil again for those operations, not sure.

PS we should probably update test/Makefile.in to require less escaping
for SELECTOR.